# NLPModelsJuMP

NLPModelsJuMP.jl provides conversion from [JuMP.jl](https://github.com/jump-dev/JuMP.jl) / [MathOptInterface.jl](https://github.com/jump-dev/MathOptInterface.jl) models to [NLPModels](https://github.com/JuliaSmoothOptimizers/NLPModels.jl).

## How to Cite

If you use NLPModelsJuMP.jl in your work, please cite using the format given in [`CITATION.bib`](https://github.com/JuliaSmoothOptimizers/NLPModelsJuMP.jl/blob/main/CITATION.bib).

| **Documentation** | **Linux/macOS/Windows/FreeBSD** | **Coverage** | **DOI** |
|:-----------------:|:----------------------------------------------:|:------------:|:-------:|
| [![docs-stable][docs-stable-img]][docs-stable-url] [![docs-dev][docs-dev-img]][docs-dev-url] | [![build-gh][build-gh-img]][build-gh-url] [![build-cirrus][build-cirrus-img]][build-cirrus-url] | [![codecov][codecov-img]][codecov-url] | [![doi][doi-img]][doi-url] |

[docs-stable-img]: https://img.shields.io/badge/docs-stable-blue.svg
[docs-stable-url]: https://JuliaSmoothOptimizers.github.io/NLPModelsJuMP.jl/stable
[docs-dev-img]: https://img.shields.io/badge/docs-dev-purple.svg
[docs-dev-url]: https://JuliaSmoothOptimizers.github.io/NLPModelsJuMP.jl/dev
[build-gh-img]: https://github.com/JuliaSmoothOptimizers/NLPModelsJuMP.jl/workflows/CI/badge.svg?branch=main
[build-gh-url]: https://github.com/JuliaSmoothOptimizers/NLPModelsJuMP.jl/actions
[build-cirrus-img]: https://img.shields.io/cirrus/github/JuliaSmoothOptimizers/NLPModelsJuMP.jl?logo=Cirrus%20CI
[build-cirrus-url]: https://cirrus-ci.com/github/JuliaSmoothOptimizers/NLPModelsJuMP.jl
[codecov-img]: https://codecov.io/gh/JuliaSmoothOptimizers/NLPModelsJuMP.jl/branch/main/graph/badge.svg
[codecov-url]: https://app.codecov.io/gh/JuliaSmoothOptimizers/NLPModelsJuMP.jl
[doi-img]: https://img.shields.io/badge/DOI-10.5281%2Fzenodo.2574162-blue.svg
[doi-url]: https://doi.org/10.5281/zenodo.2574162

See the [documentation](https://juliasmoothoptimizers.github.io/NLPModels.jl/stable/) on NLPModels for the description of its API.
Here, we focus on the use of JuMP to create MathOptNLPModel and MathOptNLSModel.

**Disclaimer**: NLPModelsJuMP is *not* developed or maintained by the JuMP developers.

## Bug reports and discussions

If you think you found a bug, feel free to open an [issue](https://github.com/JuliaSmoothOptimizers/NLPModelsJuMP.jl/issues).
Focused suggestions and requests can also be opened as issues. Before opening a pull request, start an issue or a discussion on the topic, please.

If you want to ask a question not suited for a bug report, feel free to start a discussion [here](https://github.com/JuliaSmoothOptimizers/Organization/discussions). This forum is for general discussion about this repository and the [JuliaSmoothOptimizers](https://github.com/JuliaSmoothOptimizers) organization, so questions about any of our packages are welcome.
